<template>
    <div class="content__leftAnalitika">
        <div class="control-user__top">
            <div class="control-search--left animated fadeInLeft">
                <p class="text-bold">{{ $t('monitoring_ip.user_log') }}</p>
                <form class="search" @submit.prevent="search">
                    <label for="searchUser">{{ $t('monitoring_ip.user_id') }}</label>
                    <div class="block-input">
                        <input type="text" id="searchUser" v-model.number="user_id">
                        <button type="submit" class="search">
                            {{ $t('ui.search') }}
                            <svg>
                                <use xlink:href="/img/sprite.svg#musica-searcher"/>
                            </svg>
                        </button>
                    </div>
                </form>
            </div>
            <div class="control-search--left animated fadeInRight">
                <p class="text-bold">{{ $t('monitoring_ip.ip_log') }}</p>
                <form class="search" @submit.prevent="search">
                    <label for="searchIp">{{ $t('monitoring_ip.ip') }}</label>
                    <div class="block-input">
                        <input type="text" id="searchIp" v-model="ip">
                        <button type="submit" class="search">
                            {{ $t('ui.search') }}
                            <svg>
                                <use xlink:href="/img/sprite.svg#musica-searcher"/>
                            </svg>
                        </button>
                    </div>
                </form>
            </div>
        </div>
        <div class="control-user__bottom">
            <div class="box-user__table--head wow fadeInUp">
                <p class="text-tabelHead">{{ $t('monitoring_ip.table.user') }}</p>
                <p class="text-tabelHead">{{ $t('monitoring_ip.table.date') }}</p>
                <p class="text-tabelHead">{{ $t('monitoring_ip.table.ip') }}</p>
                <p class="text-tabelHead">{{ $t('monitoring_ip.table.country') }}</p>
            </div>
            <log :log="log" v-for="log in logs" :key="log.id"/>
            <paginator
                :current-page="currentPage"
                :last-page="lastPage"
                :per-page="perPage"
                :items-count="total"
                @page-changed="setPage"
            />
        </div>
    </div>
</template>

<script>
import {mapGetters} from "vuex";
import Log from "../components/users/Log";

export default {
        name: "AuthLog",
        data(){
            return {
                user_id: '',
                ip: '',
                currentPage: 0,
                lastPage: 0,
                perPage: 0,
                total: 0,
                page: 1,
                logs: [],
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ])
        },
        methods: {
            submit(){
                this.axios.get('auth_log', {
                    params: {
                        page: this.page,
                        ip: this.ip,
                        user_id: this.user_id
                    }
                })
                    .then(resp => resp.data)
                    .then(logs => {
                        console.log(logs);
                        this.currentPage = logs.current_page;
                        this.lastPage = logs.last_page;
                        this.perPage = logs.per_page;
                        this.total = logs.total;
                        this.logs = logs.data;
                    });
            },
            setPage(page){
                this.page = page;
                this.submit();
            },
            search(){
                this.page = 1;
                this.submit();
            }
        },
        created(){
            this.submit();
        },
        components: {
            Log
        }
    }
</script>

<style scoped>

</style>
